package com.jz.dmp.modules.controller.sys.bean;

import com.jz.common.bean.BasePageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;


/**用户项目角色表参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "用户项目角色表参数请求封装", description = "用户项目角色表参数请求封装")
public class DmpMemberProjectRoleRequest extends BasePageBean {
	/**
	* 主键
	*/
	@ApiModelProperty(value = "主键")
	private Integer memberProjectRoleId;

	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Integer userId;

	/**
	* 项目ID
	*/
	@ApiModelProperty(value = "项目ID")
	private Integer projectId;

	/**
	* 角色ID
	*/
	@ApiModelProperty(value = "角色ID")
	private Integer roleId;

	public Integer getMemberProjectRoleId() {
		return memberProjectRoleId;
	}

	public void setMemberProjectRoleId(Integer memberProjectRoleId) {
		this.memberProjectRoleId = memberProjectRoleId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getProjectId() {
		return projectId;
	}

	public void setProjectId(Integer projectId) {
		this.projectId = projectId;
	}

	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}
}
