package com.jz.dmp.modules.model;

import java.io.Serializable;

/**
 * 项目表字段类型(DmpTableFieldSchema)实体类
 *
 * @author Bellamy
 * @since 2020-12-23 16:34:55
 */
public class DmpTableFieldSchema implements Serializable {
    private static final long serialVersionUID = -87822309382730514L;
    /**
     * ID
     */
    private Integer id;
    /**
     * DST ID
     */
    private Integer dstId;
    /**
     * 类型类别
     */
    private String typeCategory;
    /**
     * 字段类型
     */
    private String fieldType;
    /**
     * 是否类别的默认映射
     */
    private String isCatDefault;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDstId() {
		return dstId;
	}

	public void setDstId(Integer dstId) {
		this.dstId = dstId;
	}

	public String getTypeCategory() {
        return typeCategory;
    }

    public void setTypeCategory(String typeCategory) {
        this.typeCategory = typeCategory;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public String getIsCatDefault() {
        return isCatDefault;
    }

    public void setIsCatDefault(String isCatDefault) {
        this.isCatDefault = isCatDefault;
    }

}