package com.jz.dmp.modules.controller.projconfig.bean;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jz.dmp.modules.model.DmpProjectConfigEngine;
import com.jz.dmp.modules.model.DmpProjectConfigInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**项目配置表Dto
 * @author ybz
 *
 */
/**
 * @ClassName: DmpProjectConfigInfoDto
 * @Description: TODO(这里用一句话描述这个类的作用)
 * @author ybz
 * @date 2021年2月4日
 *
 */
@ApiModel(value = "项目配置表Dto", description = "项目配置表Dto")
@JsonIgnoreProperties(value = {"handler"})
public class DmpProjectConfigInfoDto extends DmpProjectConfigInfo {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "选择的计算引擎")
	private List<DmpProjectConfigEngineDto> dmpProjectConfigEngineDtos;
	
	@ApiModelProperty(value = "公共配置")
	private DmpPublicConfigInfoDto dmpPublicConfigInfoDto;
	
	public DmpPublicConfigInfoDto getDmpPublicConfigInfoDto() {
		return dmpPublicConfigInfoDto;
	}

	public void setDmpPublicConfigInfoDto(DmpPublicConfigInfoDto dmpPublicConfigInfoDto) {
		this.dmpPublicConfigInfoDto = dmpPublicConfigInfoDto;
	}

	public List<DmpProjectConfigEngineDto> getDmpProjectConfigEngineDtos() {
		return dmpProjectConfigEngineDtos;
	}

	public void setDmpProjectConfigEngineDtos(List<DmpProjectConfigEngineDto> dmpProjectConfigEngineDtos) {
		this.dmpProjectConfigEngineDtos = dmpProjectConfigEngineDtos;
	}
	
}
